Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  _hatch als Dialogbox

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   _hatch als Dialogbox (308 mal gelesen)
Gargarot
Mitglied
Student MSc Civil Engineering ETHZ, Dipl Bauzeichner


Sehen Sie sich das Profil von Gargarot an!   Senden Sie eine Private Message an Gargarot  Schreiben Sie einen Gästebucheintrag für Gargarot

Beiträge: 316
Registriert: 25.06.2008

HP 8560w, Win7 SP1 64bit, i7 2760QM 2.4GHz, AMD FirePro M5950, 8GB RAM; AutoCAD 2013 Edu

erstellt am: 02. Dez. 2008 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen!

Ich bin gerade daran ein paar wirklich einfache Befehlsstringe über (command.. abzuwickeln, welche ich mit einer Taste starten kann.

Zum Beispiel sowas:
;Alle Layer ein
(defun c ()(command "-layer" "ei" "*" ""))

Nun zum Problem; wenn ich
(defun c:s ()(command "_hatch"))
definiere erfolgt die weitere Befehlsverarbeitung in der Befehlszeile
Ich möchte nun aber, dass der normale Dialog (wie mit _hatch oder über das icon) erscheint.

Dieser eine Befehl könnte ich auch ich der acad.pgp definieren, doch übersichtshalber sollen all diese Tastaturkürzel-Makros in einem lisp gespeichert werden. So kann auch jeder Benutzer, wenn er mal an einem andern PC arbeitet, schnell sein Lisp laden und seine Kürzel gebrauchen. Das wäre jedenfalls das Ziel der Übung.

Gibt es etwas wie das '-' welches ansonsten die Befehlszeilenvrainate startet, nur halt eben jetzt die Dialog-"version"? Irgendwo hab ich mal gelesen dass die Lisp-Befehle noch die gleichen geblieben sind wie bei früheren AutoCAD, damit die Lisps auch weiterhin Funktionieren?

Ich bin auch noch blutiger Anfänger wenn es um Lisp geht, und hoffe dass ich jetzt nicht irgendwas völlig wiedersinniges mache 

Thänks für eure Bemühungen!

Grüsse Christoph

------------------
3 kleine Weisheiten
-Man kann ein Problem nicht mit den gleichen Denkstrukturen lösen, die zu seiner Entstehung beigetragen haben.
-Bewehrt sich Beton?
-Der Horizont vieler Menschen ist ein Kreis mit Radius Null - und das nennen sie ihren Standpunkt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13388
Registriert: 30.11.2003

.

erstellt am: 02. Dez. 2008 14:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Gargarot 10 Unities + Antwort hilfreich

probier's mit
(initdia)(command "_hatch")

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Gargarot
Mitglied
Student MSc Civil Engineering ETHZ, Dipl Bauzeichner


Sehen Sie sich das Profil von Gargarot an!   Senden Sie eine Private Message an Gargarot  Schreiben Sie einen Gästebucheintrag für Gargarot

Beiträge: 316
Registriert: 25.06.2008

erstellt am: 02. Dez. 2008 14:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Klappt prima, wuhu!

Danke!

------------------
3 kleine Weisheiten
-Man kann ein Problem nicht mit den gleichen Denkstrukturen lösen, die zu seiner Entstehung beigetragen haben.
-Bewehrt sich Beton?
-Der Horizont vieler Menschen ist ein Kreis mit Radius Null - und das nennen sie ihren Standpunkt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz